Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003568Doomseeker[All Projects] Bugpublic2018-11-25 22:292019-02-17 11:31
ReporterWubTheCaptain 
Assigned ToPol M 
PrioritynormalSeverityfeatureReproducibilityN/A
Statusneeds testingResolutionopen 
PlatformOSOS Version
Product Version1.2 
Target Version1.3Fixed in Version 
Summary0003568: Create Game dialog doesn't have a menu option to log/redirect output of started servers to a file
DescriptionZandronum server supports a "+logfile" option (?) to log output (stdout) to a file. It also supports the "CrashLogs" option for stderr.

Doomseeker has no graphical support in the Create Game dialog to select a path to log to, and/or a checkbox if the output of a started server should be logged to said file/path. It may be useful to have such option available from Create Game dialog for supported engines.
Steps To Reproduce
  1. (Have at least one game engine plugin installed to Doomseeker.)
  2. Start Doomseeker.
  3. Navigate to File → Create Game (Ctrl+S).
  4. In the "General" tab, notice there's no graphical option for logging.
Additional InformationIssue hinted by 0003567.

Meanwhile, we have support for "Custom parameters" (does it work with +logfile?) and "Host command line" (for stdout redirection, on Windows too).
Attached Files

- Relationships

-  Notes
User avatar (0020203)
WubTheCaptain (developer)
2018-11-25 22:41

Acknowledged by Blzut3 at 0003567:0020195.
User avatar (0020314)
Pol M (developer)
2019-01-17 22:14

I'm gonna take a look at it
User avatar (0020319)
Pol M (developer)
2019-01-24 21:40
edited on: 2019-01-24 21:42

pr

User avatar (0020322)
Zalewa (developer)
2019-01-27 11:36

pr merged
User avatar (0020373)
WubTheCaptain (developer)
2019-02-11 15:59

A small typo in your commit:

Quote from src/plugins/zandronum/zandronumgamehost.cpp
// Zandronum sufixes a date plus a ".log" extension. We'll add a prefix.


suffixes? (English)

sufixes is Portuguese.
User avatar (0020375)
Pol M (developer)
2019-02-11 16:29

I'll take care of it :)
User avatar (0020399)
Filystea (reporter)
2019-02-17 06:56

Hello since it needs testing. Provide windows 1.3 binary. Since issue is kind of windows problem ( on unix it's piece of cake to have it done, but windows... | )

And again sorry if it would be unix problem I would compile without wasting your time here. But I won't compile on Windows. Really, windows is hassle allways. Not gona lose time on compiling on that fucked up system. Especialy I rarely need to compile anything on it so I am kind of nhob and not going to change it.

Other solution - someone who wants to lose time on win compilation - go for it.
On doomseeker website we have only 1.2
User avatar (0020400)
Pol M (developer)
2019-02-17 11:31

I'd be glad to provide a windows binary but I don't even have it installed on any computer, so unfortunately it won't be possible right now from my part.
We're working on porting the compiling process to mingw, so there is a small chance that I'll be able to cross-compile it from my linux machines, which would be a small nice feature.

That said, this ticket also affects all the other platforms and the code should be OS-abnostic, so feel free to compile it in your prefered distro :)

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: WubTheCaptain

- Issue History
Date Modified Username Field Change
2018-11-25 22:29 WubTheCaptain New Issue
2018-11-25 22:32 WubTheCaptain Description Updated View Revisions
2018-11-25 22:41 WubTheCaptain Note Added: 0020203
2018-11-25 22:41 WubTheCaptain Status new => acknowledged
2019-01-17 22:14 Pol M Note Added: 0020314
2019-01-17 22:14 Pol M Assigned To => Pol M
2019-01-17 22:14 Pol M Status acknowledged => assigned
2019-01-24 21:40 Pol M Note Added: 0020319
2019-01-24 21:40 Pol M Status assigned => needs review
2019-01-24 21:41 Pol M Note Edited: 0020319 View Revisions
2019-01-24 21:42 Pol M Note Edited: 0020319 View Revisions
2019-01-27 11:35 Zalewa Status needs review => needs testing
2019-01-27 11:36 Zalewa Note Added: 0020322
2019-02-11 15:56 WubTheCaptain Priority none => normal
2019-02-11 15:59 WubTheCaptain Note Added: 0020373
2019-02-11 15:59 WubTheCaptain Status needs testing => assigned
2019-02-11 16:29 Pol M Note Added: 0020375
2019-02-11 16:50 Pol M Status assigned => needs review
2019-02-11 16:51 Pol M Status needs review => needs testing
2019-02-17 03:11 WubTheCaptain Target Version => 1.3
2019-02-17 06:56 Filystea Note Added: 0020399
2019-02-17 11:31 Pol M Note Added: 0020400






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker